## org.biojava.bio.seq.db.biosql
Class UnknownDBHelper

    java.lang.Object
      org.biojava.bio.seq.db.biosql.DBHelper
          org.biojava.bio.seq.db.biosql.UnknownDBHelper

public class UnknownDBHelper
extends DBHelper

Author:
  Thomas Down, Matthew Pocock

Nested Class Summary

Nested classes inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`DBHelper.DeleteStyle`

Field Summary

Fields inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`DELETE_GENERIC, DELETE_MYSQL4, DELETE_POSTGRESQL`

Constructor Summary
`UnknownDBHelper()`

Method Summary
`DBHelper.DeleteStyle` `getDeleteStyle()`
`int` `getInsertID(java.sql.Connection conn, java.lang.String table, java.lang.String columnName)`

Methods inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`getDBHelperForURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownDBHelper

    public UnknownDBHelper()

Method Detail

### getInsertID

    public int getInsertID(java.sql.Connection conn,
                           java.lang.String table,
                           java.lang.String columnName)
                    throws java.sql.SQLException

  Specified by:
    `getInsertID` in class `DBHelper`
  Throws:
    `java.sql.SQLException`

### getDeleteStyle

    public DBHelper.DeleteStyle getDeleteStyle()

  Specified by:
    `getDeleteStyle` in class `DBHelper`